curl --request POST \
--url https://api.hubapi.com/deal-splits/2026-03/batch/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"id": "<string>"
}
]
}
'import requests
url = "https://api.hubapi.com/deal-splits/2026-03/batch/read"
payload = { "inputs": [{ "id": "<string>" }] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({inputs: [{id: '<string>'}]})
};
fetch('https://api.hubapi.com/deal-splits/2026-03/batch/read', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"id": "<string>",
"splits": [
{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"properties": {},
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"objectWriteTraceId": "<string>",
"propertiesWithHistory": {},
"url": "<string>"
}
]
}
],
"startedAt": "2023-11-07T05:31:56Z",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"id": "<string>",
"splits": [
{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"properties": {},
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"objectWriteTraceId": "<string>",
"propertiesWithHistory": {},
"url": "<string>"
}
]
}
],
"startedAt": "2023-11-07T05:31:56Z",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Retrieve deal splits
Ler um lote de objetos de divisão de negócio pelo ID interno do objeto de negócio associado
Supported products
Supported products
Required Scopes
Required Scopes
Autorizações
The access token received from the authorization server in the OAuth 2.0 flow.
Corpo
Uma série de entradas de divisão de negócios
Show child attributes
Show child attributes
Resposta
successful operation
A data e a hora em que a operação em lote foi concluída, em formato data-hora.
Uma série de objetos de divisão de negócio para negócio representando os resultados da operação em lote.
Show child attributes
Show child attributes
A data e a hora em que a operação em lote foi iniciada, em formato data-hora.
O status atual da operação em lote. Os valores possíveis são: CANCELADO, CONCLUÍDO, PENDENTE, PROCESSANDO.
CANCELED, COMPLETE, PENDING, PROCESSING Um mapa de nomes de links para URIs associados a recursos ou documentação adicionais.
Show child attributes
Show child attributes
A data e a hora em que a operação em lote foi solicitada, em formato data-hora.